Topics

Topics help you organize your Ideas into groups, much like tags. An Ideas can belong to multiple Topics.

Topic object

Topic have the following fields

Field
Details

idx string

A unique identifier for the topic

name string

Name of the topic

idea_count number

Number of ideas that have been tagged with this Topic

order number

The position of the topic in the topic list

Endpoints

You can use the following endpoints to manage Topics

List topics

get

Returns a list of topics

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Query parameters
limitintegerOptional

Limits the number of items on a page

offsetintegerOptional

Specifies the page number of the topics to be displayed

Responses
chevron-right
200

Successfully returned a list of topics

application/json
get
/topics

Create a topic

post

Create a new topic

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Body
namestringOptional
Responses
chevron-right
200

Successfully created a new topic

application/json
idxstringRequired

A unique identifier for the topic

Example: topic_abcd1234
namestringOptional

Name of the topic

Example: New features
idea_countnumberOptional

Number of ideas that have been tagged with this Topic

ordernumberOptional

The position of the topic in the topic list

created_atstringOptional

The date & time the Topic was last updated (UTC timezone)

updated_atstringOptional

The date & time the Topic was last updated (UTC timezone)

post
/topics

Update a topic

post

Update a Topic

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Path parameters
topicIdxstringRequired
Body
namestringOptional
Responses
chevron-right
200

Successfully updated a topic

application/json
idxstringRequired

A unique identifier for the topic

Example: topic_abcd1234
namestringOptional

Name of the topic

Example: New features
idea_countnumberOptional

Number of ideas that have been tagged with this Topic

ordernumberOptional

The position of the topic in the topic list

created_atstringOptional

The date & time the Topic was last updated (UTC timezone)

updated_atstringOptional

The date & time the Topic was last updated (UTC timezone)

post
/topics/{topicIdx}

Delete a topic

delete

Delete a Topic

Authorizations
AuthorizationstringRequired

API key in Authorization header with Bearer prefix (recommended)

Path parameters
topicIdxstringRequired
Responses
chevron-right
200

Request was successful

application/json
successbooleanOptional
messagestringOptionalExample: Request was successful
delete
/topics/{topicIdx}

Last updated